[PATCH] git-svn: t/t9100-git-svn-basic: remove old check for NO_SYMLINK

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



We don't support the svn command-line client anymore; nor
do we support anything before SVN 1.1.0, so we can be certain
symlinks will be supported in the SVN repository.

Signed-off-by: Eric Wong <normalperson@xxxxxxxx>
---
 t/t9100-git-svn-basic.sh |   84 +++++++++++++++++++---------------------------
 1 files changed, 35 insertions(+), 49 deletions(-)

diff --git a/t/t9100-git-svn-basic.sh b/t/t9100-git-svn-basic.sh
index c22fe47..040da92 100755
--- a/t/t9100-git-svn-basic.sh
+++ b/t/t9100-git-svn-basic.sh
@@ -24,10 +24,7 @@ test_expect_success \
 	mkdir import &&
 	cd import &&
 	echo foo > foo &&
-	if test -z '$NO_SYMLINK'
-	then
-		ln -s foo foo.link
-	fi
+	ln -s foo foo.link
 	mkdir -p dir/a/b/c/d/e &&
 	echo 'deep dir' > dir/a/b/c/d/e/file &&
 	mkdir bar &&
@@ -136,48 +133,43 @@ test_expect_success "$name" "
 	test -x '$SVN_TREE'/exec.sh"
 
 
-if test -z "$NO_SYMLINK"
-then
-	name='executable file becomes a symlink to bar/zzz (file)'
-
-	test_expect_success "$name" "
-		rm exec.sh &&
-		ln -s bar/zzz exec.sh &&
-		git update-index exec.sh &&
-		git commit -m '$name' &&
-		git-svn set-tree --find-copies-harder --rmdir \
-			remotes/git-svn..mybranch5 &&
-		svn up '$SVN_TREE' &&
-		test -L '$SVN_TREE'/exec.sh"
+name='executable file becomes a symlink to bar/zzz (file)'
+test_expect_success "$name" "
+	rm exec.sh &&
+	ln -s bar/zzz exec.sh &&
+	git update-index exec.sh &&
+	git commit -m '$name' &&
+	git-svn set-tree --find-copies-harder --rmdir \
+		remotes/git-svn..mybranch5 &&
+	svn up '$SVN_TREE' &&
+	test -L '$SVN_TREE'/exec.sh"
 
-	name='new symlink is added to a file that was also just made executable'
+name='new symlink is added to a file that was also just made executable'
 
-	test_expect_success "$name" "
-		chmod +x bar/zzz &&
-		ln -s bar/zzz exec-2.sh &&
-		git update-index --add bar/zzz exec-2.sh &&
-		git commit -m '$name' &&
-		git-svn set-tree --find-copies-harder --rmdir \
-			remotes/git-svn..mybranch5 &&
-		svn up '$SVN_TREE' &&
-		test -x '$SVN_TREE'/bar/zzz &&
-		test -L '$SVN_TREE'/exec-2.sh"
-
-	name='modify a symlink to become a file'
-	test_expect_success "$name" "
-		echo git help > help || true &&
-		rm exec-2.sh &&
-		cp help exec-2.sh &&
-		git update-index exec-2.sh &&
-		git commit -m '$name' &&
-		git-svn set-tree --find-copies-harder --rmdir \
-			remotes/git-svn..mybranch5 &&
-		svn up '$SVN_TREE' &&
-		test -f '$SVN_TREE'/exec-2.sh &&
-		test ! -L '$SVN_TREE'/exec-2.sh &&
-		diff -u help $SVN_TREE/exec-2.sh"
-fi
+test_expect_success "$name" "
+	chmod +x bar/zzz &&
+	ln -s bar/zzz exec-2.sh &&
+	git update-index --add bar/zzz exec-2.sh &&
+	git commit -m '$name' &&
+	git-svn set-tree --find-copies-harder --rmdir \
+		remotes/git-svn..mybranch5 &&
+	svn up '$SVN_TREE' &&
+	test -x '$SVN_TREE'/bar/zzz &&
+	test -L '$SVN_TREE'/exec-2.sh"
 
+name='modify a symlink to become a file'
+test_expect_success "$name" "
+	echo git help > help || true &&
+	rm exec-2.sh &&
+	cp help exec-2.sh &&
+	git update-index exec-2.sh &&
+	git commit -m '$name' &&
+	git-svn set-tree --find-copies-harder --rmdir \
+		remotes/git-svn..mybranch5 &&
+	svn up '$SVN_TREE' &&
+	test -f '$SVN_TREE'/exec-2.sh &&
+	test ! -L '$SVN_TREE'/exec-2.sh &&
+	diff -u help $SVN_TREE/exec-2.sh"
 
 if test "$have_utf8" = t
 then
@@ -203,12 +195,6 @@ test_expect_success "$name" \
      git-rev-list --pretty=raw remotes/alt | grep ^tree | uniq > b &&
      diff -u a b"
 
-if test -n "$NO_SYMLINK"
-then
-	test_done
-	exit 0
-fi
-
 name='check imported tree checksums expected tree checksums'
 rm -f expected
 if test "$have_utf8" = t
-- 
1.5.0.rc0.g1ed48

-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]